Bug 214834 - [disable a11y] yelp crashes on start.
[disable a11y] yelp crashes on start.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-09 12:50 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.7.14-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-20 10:24:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-11-09 12:50:07 EST
Description of problem:
Distribution: Fedora Core release 6 (Rawhide)
Gnome Release: 2.17.2 2006-11-07 (Red Hat, Inc)
BugBuddy Version: 2.16.0

System: Linux 2.6.18-1.2835.fc6 #1 SMP Thu Nov 2 01:41:42 EST 2006 i686
X Vendor: The X.Org Foundation
X Vendor Release: 70101000
Selinux: No
Accessibility: Disabled
----------- .xsession-errors (611 sec old) ---------------------
Max failures exceeded, exiting now
error : xmlEncodeEntitiesReentrant : char out of range
encoding error : output conversion failed due to conv error, bytes 0xE0 0xDE
0x22 0x20
I/O error : encoder error
** (Gecko:5125): WARNING **: Could not export to OPML file!!
** (yelp:5792): CRITICAL **: AT_SPI_REGISTRY was not started at session startup.
** (yelp:5792): WARNING **: IOR not set.
** ERROR **: Could not locate registry
aborting...
** (bug-buddy:5803): WARNING **: 열기 폴더에 대한 아이콘을 읽어들일 수 없습니다
--------------------------------------------------

Memory status: size: 165576704 vsize: 0 resident: 165576704 share: 0 rss:
49733632 rss_rlim: 0
CPU usage: start_time: 1163094342 rtime: 0 utime: 190 stime: 0 cutime:175
cstime: 0 timeout: 15 it_real_value: 0 frequency: 2

Backtrace was generated from '/usr/bin/yelp'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208379680 (LWP 5898)]
[New Thread -1282774128 (LWP 5907)]
[New Thread -1272284272 (LWP 5906)]
[New Thread -1261794416 (LWP 5905)]
[New Thread -1251304560 (LWP 5904)]
[New Thread -1240814704 (LWP 5900)]
[New Thread -1211966576 (LWP 5899)]
0x00ca7402 in __kernel_vsyscall ()
#0  0x00ca7402 in __kernel_vsyscall ()
#1  0x00525b8b in waitpid () from /lib/libpthread.so.0
#2  0x009b1466 in libgnomeui_segv_handle (signum=6) at gnome-ui-init.c:870
#3  <signal handler called>
#4  0x00ca7402 in __kernel_vsyscall ()
#5  0x07950c70 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x079524c1 in *__GI_abort () at abort.c:88
#7  0x00b61c12 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, format=0x6ed239a "Could not locate registry", 
    args1=0xbfbf3c2c "") at gmessages.c:497
#8  0x00b61c49 in IA__g_log (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, 
    format=0x6ed239a "Could not locate registry") at gmessages.c:517
#9  0x06ed06be in spi_atk_bridge_do_registration () at bridge.c:250
#10 0x06ed1e01 in atk_bridge_init (argc=0x0, argv=0x0) at bridge.c:226
#11 0x06ed22ab in gnome_accessibility_module_init () at bridge.c:614
#12 0x01f411a6 in nsAppRootAccessible::Init (this=0xa3da5d0)
    at nsAppRootAccessible.cpp:547
#13 0x01f40e3f in nsAppRootAccessible::Create () at nsAppRootAccessible.cpp:775
#14 0x01f406af in nsRootAccessibleWrap::Init (this=0xaa72838)
    at nsRootAccessibleWrap.cpp:57
#15 0x01f239e4 in nsAccessibilityService::CreateRootAccessible (
    this=0xa536888, aShell=0xad79c90, aDocument=0xa79bf08, aRootAcc=0xbfbf3ff8)
    at nsAccessibilityService.cpp:371
#16 0x01f24957 in nsAccessibilityService::GetAccessible (this=0xa536888, 
    aNode=0xa79bf8c, aPresShell=0xad79c90, aWeakShell=0xa68f840, 
    aFrameHint=0xbfbf4074, aIsHidden=0xbfbf4070, aAccessible=0xbfbf40f4)
    at nsAccessibilityService.cpp:1824
#17 0x01f23453 in nsAccessibilityService::GetAccessibleInShell (
    this=0xa536888, aNode=0xa79bf8c, aPresShell=0xad79c90, 
    aAccessible=0xbfbf40f4) at nsAccessibilityService.cpp:1720
#18 0x01f23768 in nsAccessibilityService::GetAccessibleFor (this=0xa536888, 
    aNode=0xa79bf8c, aAccessible=) at nsAccessibilityService.cpp:1695
#19 0x00501f80 in EmbedPrivate::GetAtkObjectForCurrentDocument (this=0x9f408a0)
    at EmbedPrivate.cpp:962
#20 0x004ff888 in gtk_moz_embed_get_accessible (widget=0x9f1ce70)
    at gtkmozembed2.cpp:737
#21 0x01170c5a in IA__gtk_widget_get_accessible (widget=0x9f1ce70)
    at gtkwidget.c:7834
#22 0x08057573 in timeout_update_gok (html=0x9f1ce70) at yelp-html.cpp:368
#23 0x00b598a6 in g_timeout_dispatch (source=0xaa7c7e0, callback=0x6, 
    user_data=0x9f1ce70) at gmain.c:3422
#24 0x00b592d2 in IA__g_main_context_dispatch (context=0x9b34000)
    at gmain.c:2045
#25 0x00b5c2af in g_main_context_iterate (context=0x9b34000, block=1, 
    dispatch=1, self=0x9b0d5a8) at gmain.c:2677
#26 0x00b5c659 in IA__g_main_loop_run (loop=0xa06f780) at gmain.c:2881
#27 0x01056c14 in IA__gtk_main () at gtkmain.c:1001
#28 0x080673af in main (argc=) at yelp-main.c:118
#29 0x0793de5c in __libc_start_main (main=0x8067000 <main>, argc=1, 
    ubp_av=0xbfbf4494, init=0x8073760 <__libc_csu_init>, 
    fini=0x8073750 <__libc_csu_fini>, rtld_fini=0x71e4a0 <_dl_fini>, 
    stack_end=0xbfbf448c) at libc-start.c:222
#30 0x08051c41 in _start ()

Thread 7 (Thread -1211966576 (LWP 5899)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x079eb513 in *__GI___poll (fds=0x7a60ff4, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = 0
	result = <value optimized out>
#2  0x005d6b49 in PR_Poll () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x0320e1a5 in nsSocketTransportService::Poll (this=0x9c72a88, 
    interval=0xb7c2d358) at nsSocketTransportService2.cpp:361
	pollList = (PRPollDesc *) 0x9c72f70
	pollCount = 1
	pollTimeout = 4294967295
	ts = 3453173332
	rv = <value optimized out>
	passedInterval = <value optimized out>
#4  0x0320e3c8 in nsSocketTransportService::Run (this=0x9c72a88)
    at nsSocketTransportService2.cpp:577
	pollInterval = 52486655
	n = 124687108
	i = <value optimized out>
	active = 1
#5  0x076735e9 in nsThread::Main (arg=0x9c73278) at nsThread.cpp:118
No locals.
#6  0x005dad6d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#7  0x0051e2db in start_thread (arg=0xb7c2db90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb7c2db90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5427188, 0, 4001536, 
        -1211968360, 2050120505, -845059503}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#8  0x079f507e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7a331f0

Thread 6 (Thread -1240814704 (LWP 5900)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005222fc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x005d3ff6 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x005d4e34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x07675618 in TimerThread::Run (this=0x9b41d90) at TimerThread.cpp:318
	waitFor = 4294967292
	lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0x9b41e50, 
  mLocked = 1}
#5  0x076735e9 in nsThread::Main (arg=0xa02e9c8) at nsThread.cpp:118
No locals.
#6  0x005dad6d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#7  0x0051e2db in start_thread (arg=0xb60aab90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb60aab90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5427188, 0, 4001536, 
        -1240816488, 2079992633, -845059503}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#8  0x079f507e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7a331f0

Thread 5 (Thread -1251304560 (LWP 5904)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005222fc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x005d3ff6 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x005d4e34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x031e98d5 in nsIOThreadPool::ThreadFunc (arg=0xa6fc3d8)
    at nsIOThreadPool.cpp:254
	delta = <value optimized out>
	start = 3453175040
	timeout = 60000
	lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xa97b828, 
  mLocked = 1}
#5  0x005dad6d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x0051e2db in start_thread (arg=0xb56a9b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb56a9b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5427188, 0, 4001536, 
        -1251306344, 2023365433, -845059503}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x079f507e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7a331f0

Thread 4 (Thread -1261794416 (LWP 5905)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005222fc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x005d3ff6 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x005d4e34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x031e98d5 in nsIOThreadPool::ThreadFunc (arg=0xa6fc3d8)
    at nsIOThreadPool.cpp:254
	delta = <value optimized out>
	start = 3453175035
	timeout = 60000
	lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xa97b828, 
  mLocked = 1}
#5  0x005dad6d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x0051e2db in start_thread (arg=0xb4ca8b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb4ca8b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5427188, 0, 4001536, 
        -1261796200, 2033847097, -845059503}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x079f507e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7a331f0

Thread 3 (Thread -1272284272 (LWP 5906)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005222fc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x005d3ff6 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x005d4e34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x031e98d5 in nsIOThreadPool::ThreadFunc (arg=0xa6fc3d8)
    at nsIOThreadPool.cpp:254
	delta = <value optimized out>
	start = 3453175036
	timeout = 60000
	lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xa97b828, 
  mLocked = 1}
#5  0x005dad6d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x0051e2db in start_thread (arg=0xb42a7b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb42a7b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5427188, 0, 4001536, 
        -1272286056, 2044394297, -845059503}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x079f507e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7a331f0

Thread 2 (Thread -1282774128 (LWP 5907)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x005222fc in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x005d3ff6 in PRP_NakedNotify () from /usr/lib/libnspr4.so
No symbol table info available.
#3  0x005d4e34 in PR_WaitCondVar () from /usr/lib/libnspr4.so
No symbol table info available.
#4  0x031e98d5 in nsIOThreadPool::ThreadFunc (arg=0xa6fc3d8)
    at nsIOThreadPool.cpp:254
	delta = <value optimized out>
	start = 3453175036
	timeout = 60000
	lock = {<nsAutoLockBase> = {<No data fields>}, mLock = 0xa97b828, 
  mLocked = 1}
#5  0x005dad6d in PR_JoinThread () from /usr/lib/libnspr4.so
No symbol table info available.
#6  0x0051e2db in start_thread (arg=0xb38a6b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb38a6b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {5427188, 0, 4001536, 
        -1282775912, 2121984825, -845059503}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x079f507e in clone () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7a331f0

Thread 1 (Thread -1208379680 (LWP 5898)):
#0  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00525b8b in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#2  0x009b1466 in libgnomeui_segv_handle (signum=6) at gnome-ui-init.c:870
	estatus = -1077988644
	eret = 0
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {3216979399, 3216978880, 128323572, 3216978652, 
      3216979292, 3216978824, 127961709, 3216978652, 11130642, 3216978884, 
      127459153, 0, 4222451713, 3216979292, 3216979292, 3216979292, 
      3216979292, 3216979309, 3216979399, 175978096, 3216978807, 21, 
      3216979208, 3216979144, 10645632, 3216979208, 3216978803, 21, 128327980, 
      0, 1, 3216978803}}, sa_flags = 0, sa_restorer = 0x694c0000}
	pid = 5908
	in_segv = 1
#3  <signal handler called>
No symbol table info available.
#4  0x00ca7402 in __kernel_vsyscall ()
No symbol table info available.
#5  0x07950c70 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
	resultvar = <value optimized out>
	pid = 128323572
	selftid = 5898
#6  0x079524c1 in *__GI_abort () at abort.c:88
	act = {__sigaction_handler = {sa_handler = 0xe173c8, 
    sa_sigaction = 0xe173c8}, sa_mask = {__val = {1, 3216979560, 14765573, 1, 
      3216979776, 3086650752, 11759282, 162585704, 128323572, 128327968, 
      252833149, 0, 127472784, 128327968, 171968344, 162585848, 1, 127456833, 
      171968336, 8, 16, 3216979672, 12367624, 171968344, 171968344, 
      3216979672, 40, 171968344, 128229272, 52, 12367624, 12367624}}, 
  sa_flags = 176665856, sa_restorer = 0xbfbf3768}
	sigs = {__val = {32, 0 <repeats 31 times>}}
#7  0x00b61c12 in IA__g_logv (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, format=0x6ed239a "Could not locate registry", 
    args1=0xbfbf3c2c "") at gmessages.c:497
	depth = <value optimized out>
	domain = (GLogDomain *) 0x0
	data = (gpointer) 0x0
	log_func = (GLogFunc) 0xb62520 <IA__g_log_default_handler>
	domain_fatal_mask = 5
	test_level = <value optimized out>
	was_recursion = 0
	i = <value optimized out>
#8  0x00b61c49 in IA__g_log (log_domain=0x0, log_level=G_LOG_LEVEL_ERROR, 
    format=0x6ed239a "Could not locate registry") at gmessages.c:517
	args = 0xbfbf3c2c ""
#9  0x06ed06be in spi_atk_bridge_do_registration () at bridge.c:250
	ev = {_id = 0x0, _major = 0, _any = {_type = 0x0, _value = 0x0, 
    _release = 0 '\0'}}
#10 0x06ed1e01 in atk_bridge_init (argc=0x0, argv=0x0) at bridge.c:226
	debug_env_string = 0x0
	fname = (gchar *) 0x0
	success = <value optimized out>
#11 0x06ed22ab in gnome_accessibility_module_init () at bridge.c:614
No locals.
#12 0x01f411a6 in nsAppRootAccessible::Init (this=0xa3da5d0)
    at nsAppRootAccessible.cpp:547
	rv = <value optimized out>
#13 0x01f40e3f in nsAppRootAccessible::Create () at nsAppRootAccessible.cpp:775
No locals.
#14 0x01f406af in nsRootAccessibleWrap::Init (this=0xaa72838)
    at nsRootAccessibleWrap.cpp:57
	rv = 0
	root = <value optimized out>
#15 0x01f239e4 in nsAccessibilityService::CreateRootAccessible (
    this=0xa536888, aShell=0xad79c90, aDocument=0xa79bf08, aRootAcc=0xbfbf3ff8)
    at nsAccessibilityService.cpp:371
	rootNode = {<nsCOMPtr_base> = {mRawPtr = 0xa79bf8c}, <No data fields>}
	presShell = <value optimized out>
	weakShell = {<nsCOMPtr_base> = {mRawPtr = 0xa68f840}, <No data fields>}
	container = {<nsCOMPtr_base> = {mRawPtr = 0x9fbb414}, <No data fields>}
	docShellTreeItem = {<nsCOMPtr_base> = {
    mRawPtr = 0x9fbb4ac}, <No data fields>}
	parentTreeItem = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
	privateAccessNode = {<nsCOMPtr_base> = {
    mRawPtr = 0xaa7283c}, <No data fields>}
#16 0x01f24957 in nsAccessibilityService::GetAccessible (this=0xa536888, 
    aNode=0xa79bf8c, aPresShell=0xad79c90, aWeakShell=0xa68f840, 
    aFrameHint=0xbfbf4074, aIsHidden=0xbfbf4070, aAccessible=0xbfbf40f4)
    at nsAccessibilityService.cpp:1824
	accessibleDoc = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
	content = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
	accessNode = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
	newAcc = {<nsCOMPtr_base> = {mRawPtr = 0xaa7284c}, <No data fields>}
	nodeIsDoc = {<nsCOMPtr_base> = {mRawPtr = 0xa79bf08}, <No data fields>}
	frame = <value optimized out>
#17 0x01f23453 in nsAccessibilityService::GetAccessibleInShell (
    this=0xa536888, aNode=0xa79bf8c, aPresShell=0xad79c90, 
    aAccessible=0xbfbf40f4) at nsAccessibilityService.cpp:1720
	weakShell = {<nsCOMPtr_base> = {mRawPtr = 0xa68f840}, <No data fields>}
	outFrameUnused = (class nsIFrame *) 0x0
	isHiddenUnused = 0
#18 0x01f23768 in nsAccessibilityService::GetAccessibleFor (this=0xa536888, 
    aNode=0xa79bf8c, aAccessible=) at nsAccessibilityService.cpp:1695
	content = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
	doc = {<nsCOMPtr_base> = {mRawPtr = 0xa79bf08}, <No data fields>}
	presShell = (class nsIPresShell *) 0x0
#19 0x00501f80 in EmbedPrivate::GetAtkObjectForCurrentDocument (this=0x9f408a0)
    at EmbedPrivate.cpp:962
	domDoc = {<nsCOMPtr_base> = {mRawPtr = 0xa79bf8c}, <No data fields>}
	domNode = {<nsCOMPtr_base> = {mRawPtr = 0xa79bf8c}, <No data fields>}
	acc = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
	atkObj = <value optimized out>
	accService = {<nsCOMPtr_base> = {
    mRawPtr = 0xa536888}, <No data fields>}
#20 0x004ff888 in gtk_moz_embed_get_accessible (widget=0x9f1ce70)
    at gtkmozembed2.cpp:737
	__PRETTY_FUNCTION__ = "AtkObject* gtk_moz_embed_get_accessible(GtkWidget*)"
#21 0x01170c5a in IA__gtk_widget_get_accessible (widget=0x9f1ce70)
    at gtkwidget.c:7834
	__PRETTY_FUNCTION__ = "IA__gtk_widget_get_accessible"
#22 0x08057573 in timeout_update_gok (html=0x9f1ce70) at yelp-html.cpp:368
No locals.
#23 0x00b598a6 in g_timeout_dispatch (source=0xaa7c7e0, callback=0x6, 
    user_data=0x9f1ce70) at gmain.c:3422
No locals.
#24 0x00b592d2 in IA__g_main_context_dispatch (context=0x9b34000)
    at gmain.c:2045
No locals.
#25 0x00b5c2af in g_main_context_iterate (context=0x9b34000, block=1, 
    dispatch=1, self=0x9b0d5a8) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = 203
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0xa088d00
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#26 0x00b5c659 in IA__g_main_loop_run (loop=0xa06f780) at gmain.c:2881
	got_ownership = 5374432
	self = (GThread *) 0x9b0d5a8
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#27 0x01056c14 in IA__gtk_main () at gtkmain.c:1001
	tmp_list = (GList *) 0xbfbf437c
	functions = (GList *) 0x0
	init = (GtkInitFunction *) 0x0
	loop = (GMainLoop *) 0xa06f780
#28 0x080673af in main (argc=) at yelp-main.c:118
	program = (GnomeProgram *) 0x9b16810
	url = (gchar *) 0x0
	client = <value optimized out>
	context = <value optimized out>
#29 0x0793de5c in __libc_start_main (main=0x8067000 <main>, argc=1, 
    ubp_av=0xbfbf4494, init=0x8073760 <__libc_csu_init>, 
    fini=0x8073750 <__libc_csu_fini>, rtld_fini=0x71e4a0 <_dl_fini>, 
    stack_end=0xbfbf448c) at libc-start.c:222
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {128323572, 7511200, 0, 
        -1077984152, 1917832425, -899459368}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x7232d0, 0x793dd8d}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 7484112}}}
	not_first_call = <value optimized out>
#30 0x08051c41 in _start ()
No symbol table info available.
#0  0x00ca7402 in __kernel_vsyscall ()


Version-Release number of selected component (if applicable):
2.16.1-6.fc7

How reproducible:
always

Steps to Reproduce:
1. $yelp
2.
3.
  
Actual results:


Expected results:


Additional info:
gail-1.9.3-1.fc7
at-spi-1.7.13-1.fc7
libgnome-2.17.0-1.fc7
Comment 1 sangu 2006-12-20 10:24:09 EST
Fixed in at-spi-1.7.14-1.fc7

$ yelp

** (yelp:4292): WARNING **: AT_SPI_REGISTRY was not started at session startup.

** (yelp:4292): WARNING **: IOR not set.

** (yelp:4292): WARNING **: Could not locate registry

Note You need to log in before you can comment on or make changes to this bug.